<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
	<title>JS Repetition</title>
</head>
<body>
<div class="m-5">
	<h2>Repetition Control Structures</h2>
	<div class="row">
		<div class="col-4">
			<div class="form-group">
				<label for="task1">While Loop</label>
				<!-- get user info -->
				<input type="number" name="" id="task1" class="form-control">
				<!-- start the process -->
				<button type="submit" class="btn btn-primary btn-block mt-5" onclick="countUsingWhile()">Enter 1</button>

				<!-- display the message to the user if the value is not valid for processing -->
				<p class="text-danger" id="message"></p>
			</div>
		</div>
		<div class="col-4">
			<div class="form-group">
				<label for="">Do-While Loop</label>
				<!-- get the user info -->
				<input type="number" name="" id="task2" class="form-control">
				<!-- start the process -->
				<button type="submit" class="btn btn-primary btn-block mt-5" onclick="countUsingDoWhile()">Enter 2</button>
				<h5 class="text-danger" id="info"></h5>
			</div>
		</div>
		<div class="col-4">
			<div class="form-group">
				<label for="">For loop</label>

				<input type="number" name="task3" id="task3" class="form-control">

				<button type="submit" class="btn btn-primary btn-block mt-5" onclick="countUsingForLoop()">Enter 3</button>

				<p class="text-muted" id="response"></p>
			</div>
		</div>
	</div>
	<div class="row">

		<!-- Accessing elements in a string -->
		<div class="form-group col-4">
			
			<h1>Accessing Elements of a string</h1>

			<input type="text" name="name" id="userName" placeholder="Insert name here." class="form-control">

			<button class="btn btn-primary" type="submit" id="getString" onclick="accessElementsInString()">Get Letters of the Name</button>
		</div>
		<!-- Palindrome checker -->
		<div class="form-group col-4">
			
			<h1>Identify Palindrome</h1>

			<input type="text" name="word" id="word" placeholder="Insert word here." class="form-control">

			<button class="btn btn-primary mt-2" type="submit" id="detectWord" onclick="detectPalindrome()">Detect palindrome</button>
			<p class="text-success mt-4" id="detectPalindrome"></p>
		</div>
		<!-- get all odd numbers in a series -->
		<div class="form-group col-4">
			
			<h1>Get all odd numbers</h1>

			<input type="number" name="value4" id="value4" placeholder="Insert number here." class="form-control">

			<button class="btn btn-primary" type="submit" id="getOdd" onclick="getOddNumbers()">Get all odd numbers</button>
			<p class="text-success mt-4" id="oddOutput"></p>
		</div>
			
	</div>
</div>
<!-- JS Bundle -->
<script src="./index.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
</body>
</html>